Subject: Re: bug#53439: [PATCH] doc: Document search paths.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 22 Jan 2022 22:00:51 -0500

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> * doc/guix.texi (package Reference): Link to "Search Paths".
> (Build Phases): Mention 'set-paths' phase.
> (Search Paths): New node.
> ---
>  doc/guix.texi | 184 +++++++++++++++++++++++++++++++++++++++++++++++++-
>  1 file changed, 183 insertions(+), 1 deletion(-)

[...]

> +@item @code{file-type} (default: @code{'directory})
> +The type of file being matched.
> +
> +In the libxml2 example above, we would match regular files.

Here I am left wondering what other valid values (other than 'regular or
'directory) may be?  I remember trying to find such answer, and it was
not obvious (I can't remember where the answer lies in the Guile manual
as I type this!).

> +@item @code{file-pattern} (default: @code{#f})
> +When true, this is a regular expression specifying files to be
> matched

I'd replace "When true", which I find confusing, by 'Optional' or
similar.

> +@emph{within} the sub-directories specified by the @code{files} field.
> +
> +Again, the libxml2 example shows a situation where this is needed.
> +@end table
> +@end deftp
> +
> +How do you turn search path specifications on one hand and a bunch of
> +directories on the other hand in a set of environment variable
> +definitions?  That's the job of @code{evaluate-search-paths}.
> +
> +@deffn {Scheme Procedure} evaluate-search-paths @var{search-paths} @
> +  @var{directories} [@var{getenv}]
> +Evaluate @var{search-paths}, a list of search-path specifications, for
> +@var{directories}, a list of directory names, and return a list of
> +specification/value pairs.  Use @var{getenv} to determine the current
> +settings and report only settings not already effective.
> +@end deffn
> +
> +The @code{(guix profiles)} provides a higher-level helper procedure,
> +@code{load-profile}, that sets the environment variables of a profile.
> +
>  @node The Store
>  @section The Store

This LGTM, taking the comments from Maxime into account.

Thank you!

Maxim